body {
    font-family: "Quicksand", serif;
    font-optical-sizing: auto;
    background-color: #F6E6EC;
    margin: 0;
}

header {
    background-color: #F3D7EB;
    border-bottom: 2px solid #D3B4E2;
    display: flex;
    align-items: center;
}

header h1 {
    margin: 0;
    margin-left: auto;
    margin-right: 25px;
}

header button {
    background-color: transparent;
    border: none;
    cursor: pointer;
    font-family: "Quicksand", serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-size: 20px;
    padding: 25px;
    color: black;
}

main {
    max-width: 1200px;
    margin: auto;
    text-align: center;
}

.cata-flags {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 5px;
}

.cata-box {
    padding: 5px;
    border: 2px solid #F3D7EB;
    border-radius: 15px;
    display: grid;
    cursor: pointer;
}

.cata-img {
    max-height: 85px;
    border-radius: 15px;
    margin: 0 auto;
}

.cata-title {
    font-weight: 600;
    font-size: 20px;
}

input {
    font-family: "Quicksand", serif;
    font-optical-sizing: auto;
    border: 2px solid #D3B4E2;
    border-radius: 10px;
    padding: 5px 7px;
    font-size: 17px;
    width: 400px;
    background-color: #F3D7EB;
    margin-bottom: 50px;

}


.cata-back {
    background-color: rgba(0,0,0,0.15);
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.cata-popup {
    background-color: #F3D7EB;
    border: 2px solid #D3B4E2;
    border-radius: 15px;
    padding: 25px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.cata-popup > .cata-title {
    font-size: 30px;
}

.cata-img-popup {
    width: 300px;
    margin: 20px 0;
    border-radius: 25px;
    border: 2px solid #D3B4E2;
}

.cata-popup-button {
    margin-top: 10px;
    background-color: transparent;
    border: none;
    font-family: "Quicksand", serif;
    font-optical-sizing: auto;
    font-weight: 700;
    font-size: 30px;
    padding: 20px;
    cursor: pointer;
}

#roomCode, #username {
    width: 200px;
    margin: 0;
}

#user-country {
    height: 30px
}

#acc {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

button {
    font-family: "Quicksand", serif;
    font-optical-sizing: auto;
    border: 2px solid #D3B4E2;
    border-radius: 10px;
    padding: 5px 7px;
    font-size: 17px;
    background-color: #EFD2F2;
    cursor: pointer;
    color: black;
}

#joinGame {
    margin-left: 10px;
}

.room-window {
    text-align: left;
    margin: 5px;
    border: 2px solid #D3B4E2;
    border-radius: 15px;
}

.room-window h3 {
    margin: 0;
    border-bottom: 2px solid #D3B4E2;
    padding: 4px 8px;
    background-color: #EAD0F8;
    border-radius: 14px 14px 0 0;
}

#settings div {
    padding: 5px;
    overflow: auto;
}

#extra-buttons {
    display: flex;
    margin: 5px;
}

#extra-buttons button {
    flex-grow: 1;
    margin-left: 5px;
}

#extra-buttons button:first-child {
    margin-left: 0;
}

#interactions {
    display: flex
}

#chat button {
    border: none;
    padding: 10px;
    border-radius: 0 0 14px 0;
}

#chat input {
    border: none;
    margin: 0;
    border-right: 2px solid #D3B4E2;
    border-radius: 0 0 0 14px;
    min-width: 0;
    flex-grow: 1;
    padding-left: 10px;
}

.message-system {
    color:brown;
}

.message-player-img {
    height: 1em;
    margin-right: 4px;
}

.message-username {
    font-weight: 500;
}

.message-player {
    display: flex;
    align-items: center;
}

.message-player .message-username {
    margin-right: 4px;
}

#chat-content {
    height: 250px;
    overflow: auto;
    border-bottom: 2px solid#D3B4E2;
    padding: 7px 10px;
    display: flex;
    flex-direction: column-reverse;
}

#chat-content div {
    margin-bottom: 2px;
}

#chat-content div:first-child {
    margin-bottom: 0;
}

#players-list {
    padding: 10px;
}

.player {
    display: flex;
    align-items: center;
    margin-top: 5px;
    font-size: 20px
}

.player:first-child {
    margin-top: 0;
}

.player img {
    height: 1em;
}

.player span {
    margin-left: 6px;
    font-weight: 600;
}

.setting-line {
    display: flex;
    align-items: center;
    gap: 5px;
}

.setting-line h4 {
    margin: 0;
}

.setting-line button {
    background: transparent;
    border-color: #EFD2F2
}

.setting-line button[value=true] {
    border-color: #D3B4E2 !important;
    background-color: #F3D7EB !important;
}

.setting-line input {
    margin: 0;
    width: 80px;
}

#param {
    text-align: left;
}

#param h3 {
    text-align: center;
}

#scores {
    display: grid;
    grid-template-columns: 2fr repeat(4, 1fr);
    padding: 10px;
    
}

#scores img {
    height: 1em;
}

#scores div {
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 17px
}

#question-window {
    text-align: center;
}

h5 {
    font-size: 18px;
}

#question-window img {
    height: 200px;
    margin: 15px 0;
    border-radius: 20px;
    border: 2px solid #D3B4E2;
}

#question-window input {
    margin-bottom: 15px;
}

#answer-buttons {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 5px;
    padding: 10px
}

#answer-buttons button {
    padding: 20px;
}

#life-bar-outer {
    width: 150px;
    height: 20px;
    border: 2px solid #D3B4E2;
    background-color: #F3D7EB;
    margin: auto;
    margin-bottom: 5px;
    border-radius: 5px;
}

#life-bar-inner {
    width: 150px;
    height: 20px;
    background-color: #D3B4E2;
    border-radius: 3px;
    transition-timing-function: linear;
}


@media screen and (max-width: 768px) {
    header {
        display: grid;
        grid-template-areas:
            "item2"
            "item1";
    }

    header h1 {
        margin: auto;
        grid-area: item2;
    }

    header div {
        grid-area: item1;
        margin: auto;
    }

    header button {
        font-size: 15px;
        padding: 10px;
    }

    .cata-input {
        width: 300px;
    }

    .cata-img {
        max-height: 66px;
        border-radius: 13px;
        margin: 0 auto;
    }
    
    .cata-title {
        font-weight: 600;
        font-size: 15px;
    }

    .cata-popup {
        padding: 15px;
    }

    .cata-img-popup {
        width: 200px;
    }

    .cata-popup-button {
        font-size: 20px;
    }

    #scores div {
        font-size: 12px
    }

    #question-window img {
        height: 120px;
        
    }
}



@media screen and (max-width: 400px) {
    .cata-popup {
        font-size: 12px;
    }
}